Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Will the Java plugin continue to work in Firefox ESR 38 and 45 beyond January 2017?

  • 2 replies
  • 4 have this problem
  • 1240 views
  • Last reply by James

more options

The blog post in:

   https://blog.mozilla.org/futurereleases/2015/10/08/npapi-plugins-in-firefox/ 

states that the Java plugin will cease to be supported in *all* versions of Firefox after Jan 2017. It seems unlikely that this will apply to pre-existing ESRs but our users are worried they won't be able to use Oracle EBS (which depends on the Java plugin) as from 2017. We need some statement to reassure them that they will continue to be able to use Firefox 38 or 45 past that date while we look at alternative options.

Chosen solution

hi, firefox 45 esr will continue supporting npapi plugins until the end of it's life cycle and it seems probable that even the next esr release (52) will still support those plugins (38esr is deprecated already as of now).

Read this answer in context 👍 1

All Replies (2)

more options

Chosen Solution

hi, firefox 45 esr will continue supporting npapi plugins until the end of it's life cycle and it seems probable that even the next esr release (52) will still support those plugins (38esr is deprecated already as of now).

more options

Firefox 38 ESR is EOL. Firefox 45.8.0 ESR will be out when Firefox 53.0 is released and will be the last unless Mozilla extends support of 45.0 ESR.